#
# spec file for package emusic (Version DR0.9 )
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel fnlib glib glib-devel gpp gtk gtk-devel imlib imlib-config imlib-devel libgpp libjpeg libpng libtiff libungif perl-Tk xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex fnlib gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-config imlib-devel kbd less libgpp libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Tk ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         emusic
Copyright:    1999 - not specified
Group:        Applications/Multimedia
Provides:     eMusic eMusic-DR0.9 
Autoreqprov:  on
Summary:      An MP3 player for Enlightenment
Version:      DR0.9 
Release:      288
Source:  eMusic-DR0.9.tar.bz2
Patch:   eMusic-DR0.9.dif

%description
eMusic is an MP3 player for the Enlightenment window manager.

Authors:
--------
    Isaac Richards <ijr@po.cwru.edu>
    Brian Almeida <bma@debian.org
    Smelecat <smelecat@icom.net>
    Boris <chris@darkrock.co.uk>

SuSE series: xwm

%prep
%setup -n eMusic-DR0.9
%patch
# Unpack EFAQ into subdir enl/faq:

%build
%{suse_update_config -f}
./configure --prefix=/usr
make

%install
make install 
ldconfig

%files
/usr/lib/eMusic
/usr/share/eMusic
/usr/bin/emusic
%doc AUTHORS COPYING INSTALL MAIN MAIN.analysis MAIN.players NEWS README TODO
%doc docs

%changelog -n emusic
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Sat Apr 14 2001 - schwab@suse.de
- Add %%suse_update_config.
* Fri Apr 06 2001 - kukuk@suse.de
- change neededforbuild (perl_tk -> perl-Tk)
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Tue Nov 07 2000 - kukuk@suse.de
- Add esound-devel to neededforbuild
* Sun Nov 05 2000 - ro@suse.de
- fixed neededforbuild
* Mon Jan 31 2000 - uli@suse.de
- fixed(?) obviously untested Big-Endian-specific code
* Fri Jan 21 2000 - ro@suse.de
- update to 0.9 ; fixed to compile
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu Jul 01 1999 - uli@suse.de
- changed refs to libgif to libungif
* Tue Mar 30 1999 - ro@suse.de
- removed binaries conflicting with esound
* Sat Feb 20 1999 - mb@suse.de
- added missing emusic binary
* Fri Feb 19 1999 - mb@suse.de
- initial version of eMusic DR0.8 the MP3 player for Enlightenment
